<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/gui/qxtglobalshortcut.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html">qxtglobalshortcut5</a></li><li class="navelem"><a class="el" href="dir_1691cf73dec13ede6b5775ad7051671e.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">qxtglobalshortcut.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="qxtglobalshortcut_8h.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#ifndef QXTGLOBALSHORTCUT_H</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">/****************************************************************************</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">** Copyright (c) 2006 - 2011, the LibQxt project.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">** See the Qxt AUTHORS file for a list of authors and copyright holders.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">** All rights reserved.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">** Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">** modification, are permitted provided that the following conditions are met:</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">**     * Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">**     * Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">**       documentation and/or other materials provided with the distribution.</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">**     * Neither the name of the LibQxt project nor the</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">**       names of its contributors may be used to endorse or promote products</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">**       derived from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">** ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">** DISCLAIMED. IN NO EVENT SHALL &lt;COPYRIGHT HOLDER&gt; BE LIABLE FOR ANY</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">** ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">** &lt;http://libqxt.org&gt;  &lt;foundation@libqxt.org&gt;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">*****************************************************************************/</span></div>
<div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="qxtglobalshortcut_8h.html#a0e4538ce955836a9b182c1be91b9f656">   31</a></span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#define QXTGLOBALSHORTCUT_H</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="qxtglobal_8h.html">qxtglobal.h</a>&quot;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;QObject&gt;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &lt;QKeySequence&gt;</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">class </span><a class="code" href="classQxtGlobalShortcutPrivate.html">QxtGlobalShortcutPrivate</a>;</div>
<div class="line"><a name="l00038"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html">   38</a></span>&#160; </div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="keyword">class </span><a class="code" href="qxtglobal_8h.html#ac2766eeda3beab1ed67f043a2169fc65">QXT_GUI_EXPORT</a> <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a> : <span class="keyword">public</span> QObject</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;{</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    Q_OBJECT</div>
<div class="line"><a name="l00042"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#a17f3d22d85b98f39e85f66183f8d918f">   42</a></span>&#160;    <a class="code" href="qxtglobal_8h.html#ac5322e633cecd76fb5bf9af96a41c38a">QXT_DECLARE_PRIVATE</a>(<a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>)</div>
<div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classQxtGlobalShortcut.html#a0960dc6bbc7d3d102d0bf80c3aac7f14">   43</a></span>&#160;    Q_PROPERTY(<span class="keywordtype">bool</span> enabled READ isEnabled WRITE setEnabled)</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    Q_PROPERTY(QKeySequence shortcut READ shortcut WRITE setShortcut)</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;public:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    explicit <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>(QObject* parent = 0);</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    explicit <a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>(const QKeySequence&amp; shortcut, QObject* parent = 0);</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    virtual ~<a class="code" href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a>();</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    QKeySequence shortcut() const;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordtype">bool</span> setShortcut(const QKeySequence&amp; shortcut);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160; </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordtype">bool</span> isEnabled() const;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160; </div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;public Q_SLOTS:</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    <span class="keywordtype">void</span> setEnabled(<span class="keywordtype">bool</span> enabled = true);</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordtype">void</span> setDisabled(<span class="keywordtype">bool</span> disabled = true);</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;Q_SIGNALS:</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <span class="keywordtype">void</span> activated();</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;};</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160; </div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">#endif // QXTGLOBALSHORTCUT_H</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aqxtglobal_8h_html_ac2766eeda3beab1ed67f043a2169fc65"><div class="ttname"><a href="qxtglobal_8h.html#ac2766eeda3beab1ed67f043a2169fc65">QXT_GUI_EXPORT</a></div><div class="ttdeci">#define QXT_GUI_EXPORT</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00063">qxtglobal.h:63</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcut_html"><div class="ttname"><a href="classQxtGlobalShortcut.html">QxtGlobalShortcut</a></div><div class="ttdoc">The QxtGlobalShortcut class provides a global shortcut aka &quot;hotkey&quot;.</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut_8h_source.html#l00038">qxtglobalshortcut.h:38</a></div></div>
<div class="ttc" id="aqxtglobal_8h_html"><div class="ttname"><a href="qxtglobal_8h.html">qxtglobal.h</a></div></div>
<div class="ttc" id="aclassQxtGlobalShortcutPrivate_html"><div class="ttname"><a href="classQxtGlobalShortcutPrivate.html">QxtGlobalShortcutPrivate</a></div><div class="ttdef"><b>Definition:</b> <a href="qxtglobalshortcut__p_8h_source.html#l00043">qxtglobalshortcut_p.h:43</a></div></div>
<div class="ttc" id="aqxtglobal_8h_html_ac5322e633cecd76fb5bf9af96a41c38a"><div class="ttname"><a href="qxtglobal_8h.html#ac5322e633cecd76fb5bf9af96a41c38a">QXT_DECLARE_PRIVATE</a></div><div class="ttdeci">#define QXT_DECLARE_PRIVATE(PUB)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00148">qxtglobal.h:148</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
